package mx.com.amx.mx.dda.ws.dto;

import java.io.Serializable;

/**
 * Un objeto de tipo ItemAgregaPosicionDTO representa cada uno de los posibles registros detalle para agregar una posicion
 * Este objeto pertenece al ámbito DDA.
 */
public class ItemAgregaPosicionDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String posicionPO;
	private String idMaterial;
	private String centro;
	private String cantidad;
	private String precio;
	private String indicadorIVA;
	private String tipoImputacion;
	private String noPosicion;
	private String centroCosto;
	private String documento;
	
	public String getPosicionPO() {
		return posicionPO;
	}

	public void setPosicionPO(String posicionPO) {
		this.posicionPO = posicionPO;
	}

	public String getIdMaterial() {
		return idMaterial;
	}

	public void setIdMaterial(String idMaterial) {
		this.idMaterial = idMaterial;
	}

	public String getCentro() {
		return centro;
	}

	public void setCentro(String centro) {
		this.centro = centro;
	}

	public String getCantidad() {
		return cantidad;
	}

	public void setCantidad(String cantidad) {
		this.cantidad = cantidad;
	}

	public String getPrecio() {
		return precio;
	}

	public void setPrecio(String precio) {
		this.precio = precio;
	}

	public String getIndicadorIVA() {
		return indicadorIVA;
	}

	public void setIndicadorIVA(String indicadorIVA) {
		this.indicadorIVA = indicadorIVA;
	}

	public String getTipoImputacion() {
		return tipoImputacion;
	}

	public void setTipoImputacion(String tipoImputacion) {
		this.tipoImputacion = tipoImputacion;
	}

	public String getNoPosicion() {
		return noPosicion;
	}

	public void setNoPosicion(String noPosicion) {
		this.noPosicion = noPosicion;
	}

	public String getCentroCosto() {
		return centroCosto;
	}

	public void setCentroCosto(String centroCosto) {
		this.centroCosto = centroCosto;
	}

	public String getDocumento() {
		return documento;
	}

	public void setDocumento(String documento) {
		this.documento = documento;
	}

	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" posicionPO: _" + this.getPosicionPO() + "_" + NEW_LINE);
		result.append(" idMaterial: _" + this.getIdMaterial() + "_" + NEW_LINE);
		result.append(" centro: _" + this.getCentro() + "_" + NEW_LINE);
		result.append(" cantidad: _" + this.getCantidad() + "_" + NEW_LINE);
		result.append(" precio: _" + this.getPrecio() + "_" + NEW_LINE);
		result.append(" indicadorIVA: _" + this.getIndicadorIVA() + "_" + NEW_LINE);
		result.append(" tipoImputacion: _" + this.getTipoImputacion() + "_" + NEW_LINE);
		result.append(" noPosicion: _" + this.getNoPosicion() + "_" + NEW_LINE);
		result.append(" centroCosto: _" + this.getCentroCosto() + "_" + NEW_LINE);
		result.append(" documento: _" + this.getDocumento() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}

}
